# Finix API Reference    Copy      - Copy for LLM          Copy page as Markdown for LLMs    - [View as Markdown\ \ Open this page as Markdown](https://docs.finix.com/api.md) - [Open in ChatGPT\ \ Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi.md+and+answer+questions+based+on+the+content.) - [Open in Claude\ \ Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi.md+and+answer+questions+based+on+the+content.) - Connect to Cursor          Install MCP server on Cursor    - Connect to VS Code          Install MCP server on VS Code

The Finix API is resource oriented, relying heavily on common REST principles. Our API uses JSON encoded requests and responses.

You will receive separate Sandbox and Live accounts, as well as corresponding API credentials to access the Finix API.

* * *

## [link  to section/Authentication](https://docs.finix.com/api/authorizations\#section/Authentication) Authentication

To communicate with the Finix API, you must authenticate your requests via HTTP Basic Authentication with a `username:password` combination, which you can get from your Finix Dashboard. If you do not have a Dashboard yet, you can test our APIs with the Sandbox credentials below.

| Parameter | Value |
| --- | --- |
| Sandbox Username | `USsRhsHYZGBPnQw8CByJyEQW` |
| Sandbox Password | `8a14c2f9-d94b-4c72-8f5c-a62908e5b30e` |

Request Format

```
curl "https://finix.sandbox-payments-api.com/" \
    -H "Content-Type: application/json" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e
```

* * *

## [link  to section/Environments](https://docs.finix.com/api/authorizations\#section/Environments) Environments

Finix provides two environments with distinct base URLs to make API requests.

1. A Sandbox environment for developing and testing your integration.
2. A Live environment for processing payments.

These environments are entirely separate and do not share API Credentials.

| Environment | Endpoint URL |
| --- | --- |
| Sandbox | `https://finix.sandbox-payments-api.com` |
| Live | `https://finix.live-payments-api.com` |

Live Access

To get access to the Live environment, please reach out to your Finix point-of-contact.

* * *

## [link  to section/HTTP-Codes-and-Errors](https://docs.finix.com/api/authorizations\#section/HTTP-Codes-and-Errors) HTTP Codes and Errors

Finix uses HTTP codes to communicate whether requests succeeded or failed. Requests to Finix's API return responses within less than one second.

However, communications between card networks and processors can increase response latency. Additionally, response latency for card-present devices can be higher depending on how quickly buyers complete the transaction on payment terminals.

Due of this, requests to the Finix API have a maximum timeout of 5 minutes.

For more details, see [Error Codes](https://docs.finix.com/additional-resources/developers/implementation-and-testing/error-codes/). Also, you can [test for specific errors and responses](https://docs.finix.com/additional-resources/developers/implementation-and-testing/testing-your-integration/).

| Code | Definition | Explanation |
| --- | --- | --- |
| `400` | Bad Request | We could not parse your request. Verify you are providing valid JSON. |
| `401` | Unauthorized | We could not authenticate your request. Verify your `username` and `password` are correct. |
| `402` | Upstream Processor Error | Errors caused by 3rd-party service(s). |
| `403` | Forbidden | Your credentials do not have the correct permissions to perform the request. |
| `404` | Not Found | We could not find the specified resource. |
| `405` | Method Not Allowed | The specified resource does not support the HTTP Method used to submit the request. |
| `406` | Not Acceptable | The server could accept the submitted request. Confirm how the request was formatted and submitted. |
| `409` | Conflict | The submitted request conflicts with the current state of the server. |
| `422` | Unprocessable Entity | The parameters were valid, but the request failed. Usually, the error involves misunderstanding of how to perform the request (e.g., creating a transfer with a seller that is not-yet-approved). |
| `500` | Internal Server Error | We had a problem with our server. Try again later. |

* * *

## [link  to section/Idempotent-Requests](https://docs.finix.com/api/authorizations\#section/Idempotent-Requests) Idempotent Requests

The `Authorization` and `Transfer` resources both have an `idempotency_id` field. Use this field to ensure the API Request is performed **_only once_**.

Why is this important? We've all experienced a checkout page that hangs on a request or payment, and feared that if we refresh or submit the payment again, we'd be charged twice.

Finix removes this ambiguity with the `idempotency_id`. You or the user can generate a unique ID that can be included as an `idempotency_id` with the usual request payload. If anyone attempts a request with the same `idempotency_id`, the response will raise an exception.

By passing an `idempotency_id` in the body of your requests, you can be rest assured that when you create an `Authorization` or `Transfer`, the user will be protected from potential network issues.

`idempotency_id` is available on the following three endpoints:

- `/transfers`
- `/authorizations`
- `/transfers/{id}/reversals`

\`idempotency\_id\` scope

`idempotency_id` checks against previous requests made on the same endpoint.

* * *

## [link  to section/Query-Parameters](https://docs.finix.com/api/authorizations\#section/Query-Parameters) Query Parameters

Every Finix resource (e.g., `Authorizations`, `Transfers`) can be listed and reviewed using `GET` requests. Additionally, every endpoint has query parameters available to help you filter the resources that are returned.

See the following example of how to query the `Transfers` endpoint for `Transfer` resources with `type: DEBIT`.

Query Parameter Example

```
curl "https://finix.sandbox-payments-api.com/transfers?type=DEBIT" \
    -H "Finix-Version: 2022-02-01" \
    -u USsRhsHYZGBPnQw8CByJyEQW:8a14c2f9-d94b-4c72-8f5c-a62908e5b30e
```

* * *

## [link  to section/Tags](https://docs.finix.com/api/authorizations\#section/Tags) Tags

Many Finix resources (e.g., `Authorization`, `Transfer`) let you include `tags` to add key-value metadata to your Finix API resources. For example, when creating a Transfer, you might include `customerId: Customer123` to tag the Transfer with your internal customer ID. You can update tags as many times as needed, as well as filter resources by tags.

Tags Example

```
{
    ...,
    "tags": {
        "card-type": "business card",
        "order_number": "H-1257",
        "customer_order_reference": "order1234",
        "item_type": "hardware",
        "vendor": "finix"
    }
}
```

The `tags` object accepts up to 50 `key: value` pairs to annotate resources with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.

Special Characters

Finix does **_not_** allow special characters on tags (e.g., `\`, `,`, `"`, `'`)

* * *

## [link  to section/Versioning](https://docs.finix.com/api/authorizations\#section/Versioning) Versioning

As Finix improves our products and features, we will make changes to our APIs. When breaking changes are made to Finix's API, we may release a new dated API version.

The API version your requests use controls how API responses and webhooks behave (for example, the values you see in responses and the parameters you can include in requests). For more information, see [Versioning](https://docs.finix.com/additional-resources/developers/authentication-and-api-basics/versioning/).

* * *

## [link  to section/Postman-Collection](https://docs.finix.com/api/authorizations\#section/Postman-Collection) Postman Collection

Finix has a Postman collection to help in your development. You can fork it using the button below.

Overview

URL
[https://finix.com](/content/site-root.html)

Finix
[support@finix.com](mailto:support@finix.com)

Languages

cURL

Servers

Sandbox server

https://finix.sandbox-payments-api.com

## [link to Authorizations](https://docs.finix.com/api/authorizations) Authorizations

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

An `Authorization` (also known as a card hold) reserves a specific amount on a card to be captured (i.e. debited) at a later date, usually within seven days. When an `Authorization` is captured it produces a `Transfer` resource.

**Related Guides:**

- [Auth and Captures](https://docs.finix.com/guides/online-payments/payment-features/auth-and-captures)
- [Level 2 and 3 Processing](https://docs.finix.com/guides/online-payments/payment-features/level-2-level-3-processing/)
- [POS Integration](https://docs.finix.com/guides/in-person-payments/building-your-integration/pos-integration)
- [Buyer Charges](https://docs.finix.com/guides/online-payments/payment-features/buyer-charges/)

Operations

post

/authorizations

get

/authorizations

get

/authorizations/{authorization\_id}

put

/authorizations/{authorization\_id}

put

/authorizations/{authorization\_id\_void\_to}

## [link to Create an Authorization](https://docs.finix.com/api/authorizations/createauthorization) Create an Authorization

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations/createauthorization.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fcreateauthorization.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fcreateauthorization.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /authorizations/createauthorization\#authorizations/createauthorization/request](https://docs.finix.com/api/authorizations/createauthorization\#authorizations/createauthorization/request) RequestExpand all

Create an `Authorization` to process a transaction.

Related Guides: [Creating and Capturing an Authorization](https://docs.finix.com/guides/online-payments/payment-features/auth-and-captures/), [Level 2 and 3 Processing](https://docs.finix.com/guides/online-payments/payment-features/level-2-level-3-processing), [POS Integration](https://docs.finix.com/guides/in-person-payments/building-your-integration/pos-integration), [Buyer Charges](https://docs.finix.com/guides/online-payments/payment-features/buyer-charges)

SecurityView security details

BasicAuth

[link to /authorizations/createauthorization#authorizations/createauthorization/request/header](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/request/header) Headers

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=finix-version](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=finix-version) Finix-Version _string_

Specify the API version of your request. For more details, see [Versioning](https://docs.finix.com/additional-resources/developers/authentication-and-api-basics/versioning).

Default2022-02-01

Example:2022-02-01

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=content-type](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&in=header&path=content-type) Content-Type _string_

The data type being sent in the request body must be `application/json`.

Example:application/json

[link to /authorizations/createauthorization#authorizations/createauthorization/request/body](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/request/body) Bodyapplication/json

One of:

Authorization - Minimal Fields

Authorization - Minimal Fields
Authorization - All Fields
Authorization - Canada
Authorization - 3D Secure
Authorization - Buyer Charges
Authorization - Card Present
Authorization - Authorization with CVV
Authorization - Motor Vehicle Rental
Authorization - Gaming
Authorization - Lodging
Authorization - Level 2 Processing
Authorization - Level 3 Processing
Authorization - Partial Authorization
Authorization - Recurring or Unscheduled

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/amount](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/amount) amount _integer_ _(int64)_ required

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/currency](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/currency) currency _string_ required

ISO 4217 3-letter currency code.

Enum"CAD""USD"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/merchant](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/merchant) merchant _string_ required

The ID of the `Merchant` that the `Authorization` was created under.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/source](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=request&path=&oneof=0/source) source _string_ required

ID of the `Payment Instrument` where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

post

/authorizations

- Sandbox server
https://finix.sandbox-payments-api.com/authorizations

cURL

Authorization - Minimal Fields

Authorization - Minimal Fields
Authorization - All Fields
Authorization - Canada
Authorization - 3D Secure
Authorization - Authorization with CVV
Authorization - Buyer Charges
Authorization - Card Present
Authorization - Motor Vehicle Rental
Authorization - Gaming
Authorization - Lodging
Authorization - Level 2 Processing
Authorization - Level 3 Processing
Authorization - Partial Authorization
Authorization - Recurring or Unscheduled

```
curl -i -X POST \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "amount": 100,
    "currency": "USD",
    "merchant": "MUmfEGv5bMpSJ9k5TFRUjkmm",
    "source": "PIkxmtueemLD6dN9ZoWGHT44"
  }'
```

#### [link to /authorizations/createauthorization\#authorizations/createauthorization/response&c=201](https://docs.finix.com/api/authorizations/createauthorization\#authorizations/createauthorization/response&c=201) Responses

1. 201
2. 400
3. 401
4. 402
5. 403
6. 404
7. 406
8. 422

Expand all

Response schema to a request to create a single `Authorization` object.

[link to /authorizations/createauthorization#authorizations/createauthorization/response&c=201/headers](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/response&c=201/headers) Headers

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=date](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=finix-apiuser-role](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=x-request-id](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /authorizations/createauthorization#authorizations/createauthorization/response&c=201/body](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/response&c=201/body) Bodyapplication/json

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=id](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=id) id _string_

The ID of the `Authorization` resource.

Example:"AUxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_at](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=updated_at](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=3ds_redirect_url](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=3ds_redirect_url) 3ds\_redirect\_url _string or null_

The redirect URL used for 3DS transactions (if supported by the processor).

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_buyer_charges](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_buyer_charges) additional\_buyer\_charges _object or null_

Additional charges will be incurred by the buyer.

The following rules apply:

- The `Merchant` must be enabled to charge these surcharges by setting the appropriate flags for each applicable surcharge to `true` using the PUT `/merchants` endpoint.
- Only _one_ of the following charges can be applied during creation.

+Show 3 properties

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_healthcare_data](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_healthcare_data) additional\_healthcare\_data _object or null_

Object detailing any additional healthcare amounts included in the `Authorization`.

+Show 4 properties

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_purchase_data](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=additional_purchase_data) additional\_purchase\_data _object or null_

Additional information about the purchase used for [Level 2 and Level 3 Processing](https://docs.finix.com/guides/online-payments/payment-features/level-2-level-3-processing). Please note that Visa is ending its Level 2 offering in April 2026.

+Show 13 properties

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=address_verification](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=address_verification) address\_verification _string or null_

Details the results of the Address Verification checks.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount) amount _integer_ _(int64)_

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount_requested](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=amount_requested) amount\_requested _integer_

When `default_partial_authorization_enabled` is set to **true**, `amount_requested` indicates the amount the cardholder attempted to authorize.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=application](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=application) application _string_

The ID of the `Application` resource the `Authorization` was created under.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=card_present_details](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=card_present_details) card\_present\_details _object or null_

Details needed to process card present transactions.

+Show 8 properties

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=currency](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=currency) currency _string_

ISO 4217 3-letter currency code.

Enum"CAD""USD"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_via](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=created_via) created\_via _string_

Gives more information about the product flow that was used to create the resource. Finix retains the right to add additional enums for this field without it being a breaking change.

Default"UNKNOWN"

Enum"CARD\_PRESENT\_SEMI\_INTEGRATED\_API""CARD\_PRESENT\_STANDALONE""CARD\_PRESENT\_STANDALONE\_MANUAL\_ENTRY""CARD\_PRESENT\_IOS\_APP""CARD\_PRESENT\_IOS\_APP\_MANUAL\_ENTRY""CARD\_PRESENT\_IOS\_D135\_SDK""CARD\_PRESENT\_ANDROID\_APP""CARD\_PRESENT\_ANDROID\_APP\_MANUAL\_ENTRY""CARD\_PRESENT\_ANDROID\_D135\_SDK""CHECKOUT\_FORM"+15 more

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=device](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=device) device _string or null_

The ID of the activated device.

Example:"DVxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=expires_at](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=expires_at) expires\_at _string_ _(date-time)_

`Authorization` expiration time.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_code](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_code) failure\_code _string or null_

The code of the failure so the decline can be handled programmatically. For more info on how to handle the failure, see [Failure Codes](https://docs.finix.com/additional-resources/developers/implementation-and-testing/failure-codes).

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_message](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=failure_message) failure\_message _string or null_

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=identity](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=identity) identity _string_

ID of the buyer 'Identity' to run the card present authorization. Finix tokenizes the card associated with the provided 'Identity' and processes the authorization, removing the need to create a blank buyer `Identity`.

Defaultnull

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=idempotency_id](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=idempotency_id) idempotency\_id _string or null_

Pass any randomly generated or internal ID to [idempotently](https://docs.finix.com/api/section/idempotent-requests) identify `Transfers`, `Authorizations`, or refund requests.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=ip_address_details](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=ip_address_details) ip\_address\_details _object_

This field returns `null` for all users except `ROLE_PLATFORM` users.

+Show property

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=is_void](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=is_void) is\_void _boolean_

Whether the `Authorization` has been voided.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant) merchant _string_

The ID of the `Merchant` resource the `Authorization` was created under.

Example:"MUxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant_identity](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=merchant_identity) merchant\_identity _string_

The ID of the `Identity` resource used by the `Merchant` the `Authorization` was processed under.

Example:"IDxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=messages](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=messages) messages _Array of strings or null_

Message field that provides additional details. This field is typically **null**.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=network_details](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=network_details) network\_details _object or null_

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=raw](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=raw) raw _(object or null) or (string or null)_

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

_object or null_

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=receipt_last_printed_at](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=receipt_last_printed_at) receipt\_last\_printed\_at _string or null_ _(date-time)_

Timestamp when the receipt was last printed.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=security_code_verification](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=security_code_verification) security\_code\_verification _string or null_

Details the results of the Security Code Verification che

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=source](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=source) source _string_

ID of the `Payment Instrument` where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=state](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=state) state _string_

The state of the `Authorization`.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=supplemental_fee](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=supplemental_fee) supplemental\_fee _integer or null_ _(int64)_

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=tags](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500.(For example, `order_number: 25`, `item_type: produce`, `department: sales`)

+Show property

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=trace_id](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=trace_id) trace\_id _string_

Trace ID of the `Authorization`. The processor sends back the `trace_id` so you can track the authorization end-to-end.

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=transfer](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=transfer) transfer _string or null_

The ID of the `transfer` resource that gets created when the `Authorization` moves to **SUCCEEDED**.

Example:"TRxxxxxxxxxxxxxxxxxx"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=void_state](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=void_state) void\_state _string_

The state of the void attempt for the `Authorization`.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

[link to /authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=_links](https://docs.finix.com/api/authorizations/createauthorization#authorizations/createauthorization/t=response&c=201&path=_links)\_links _object_

+Show 5 properties

Response

1. 201
2. 400
3. 401
4. 402
5. 403
6. 404
7. 406
8. 422

application/json

Authorization - Minimal Fields

Authorization - Minimal Fields
Authorization - All Fields
Authorization - Canada
Authorization - 3D Secure
Authorization - Authorization with CVV
Authorization - Buyer Charges
Authorization - Card Present
Authorization - Motor Vehicle Rental
Authorization - Lodging
Authorization - Gaming
Authorization - Level 2 Processing
Authorization - Level 3 Processing
Authorization - Partial Authorization
Authorization - Recurring or Unscheduled

```
{
  "id": "AUosWDPT4KPSpJbvw4xBe583",
  "created_at": "2026-02-20T03:18:34.65Z",
  "updated_at": "2026-02-20T03:18:34.65Z",
  "3ds_redirect_url": null,
  "additional_buyer_charges": null,
  "additional_healthcare_data": null,
  "additional_purchase_data": null,
  "address_verification": "POSTAL_CODE_AND_STREET_MATCH",
  "amount": 100,
  "amount_requested": 100,
  "application": "APc9vhYcPsRuTSpKD9KpMtPe",
  "currency": "USD",
  "expires_at": "2026-02-27T03:18:34.65Z",
  "failure_code": null,
  "failure_message": null,
  "idempotency_id": null,
  "ip_address_details": null,
  "is_void": false,
  "merchant": "MUmfEGv5bMpSJ9k5TFRUjkmm",
  "merchant_identity": "ID6UfSm1d4WPiWgLYmbyeo3H",
  "messages": [],
  "network_details": {
    "brand": "VISA",
    "authorization_code": 82533
  },
  "raw": null,
  "receipt_last_printed_at": null,
  "security_code_verification": "MATCHED",
  "source": "PIkxmtueemLD6dN9ZoWGHT44",
  "state": "SUCCEEDED",
  "supplemental_fee": null,
  "tags": {
    "order_number": "21DFASJSAKAS"
  },
  "trace_id": "a2ecd847-b2b6-400e-9a1e-ec71edad0fd5",
  "transfer": null,
  "void_state": "UNATTEMPTED",
  "_links": {
    "self": { … },
    "application": { … },
    "merchant_identity": { … }
  }
}
```

#### Was this helpful?

## [link to List Authorizations](https://docs.finix.com/api/authorizations/listauthorizations) List Authorizations

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations/listauthorizations.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Flistauthorizations.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Flistauthorizations.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /authorizations/listauthorizations\#authorizations/listauthorizations/request](https://docs.finix.com/api/authorizations/listauthorizations\#authorizations/listauthorizations/request) Request

Retrieve a list of `Authorizations`.

For details on how to query endpoints using the available parameters, see [Query Parameters.](https://docs.finix.com/api/section/query-parameters)

If no query parameters are specified in the request the API automatically limits the response to records from the last 30 days. You can request older data by passing an explicit created\_at.lte filter.

SecurityView security details

BasicAuth

[link to /authorizations/listauthorizations#authorizations/listauthorizations/request/query](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/request/query) Query

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=after_cursor](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=after_cursor) after\_cursor _string_

Return every resource created after the cursor value.

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gt](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gt) amount.gt _integer_

Filter by an amount greater than.

Example:amount.gt=100

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.gte) amount.gte _integer_

Filter by an amount greater than or equal.

Example:amount.gte=100

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lt](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lt) amount.lt _integer_

Filter by an amount less than.

Example:amount.lt=100

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount.lte) amount.lte _integer_

Filter by an amount less than or equal.

Example:amount.lte=100

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=amount) amount _integer_

Filter by an amount equal to the given value.

Example:amount=100

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=before_cursor](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=before_cursor) before\_cursor _string_

Return every resource created before the cursor value.

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.gte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.gte) created\_at.gte _string_ _(date-time)_

Filter where `created_at` is after the given date.

Example:created\_at.gte=2022-09-27T11:21:23

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.lte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=created_at.lte) created\_at.lte _string_ _(date-time)_

Filter where `created_at` is before the given date.

Example:created\_at.lte=2026-09-27T11:21:23

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=currency](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=currency) currency _string_

Filter by the currency of the resource.

Example:currency=USD

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=device](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=device) device _string_

Filter by the device's ID.

Example:device=DVsEanpBtsAVvCHbNXkFaH6f

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=idempotency_id](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=idempotency_id) idempotency\_id _string_

Filter by Idempotency ID.

Example:idempotency\_id=15d32948-c766-4033-8d87-dfbdcabcbc5c

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_account_last4](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_account_last4) instrument\_account\_last4 _string_

Filter Transactions by the last 4 digits of the bank account. The bank account last 4 are the last 4 digits of the masked account number.

Example:instrument\_account\_last4=9444

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_bin](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_bin) instrument\_bin _string_

Filter by Bank Identification Number (BIN). The BIN is the first 6 digits of the masked number.

Example:instrument\_bin=411111

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_brand_type](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_brand_type) instrument\_brand\_type _string_

Filter by card brand.

Example:instrument\_brand\_type=VISA

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_card_last4](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_card_last4) instrument\_card\_last4 _string_

Filter by the payment card last 4 digits.

Example:instrument\_card\_last4=1111

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_name](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=instrument_name) instrument\_name _string_

Filter Transactions by the `name` of the `Payment Instrument`.

Example:instrument\_name=Alice

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=is_void](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=is_void) is\_void _boolean_

Show only voided authorizations.

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=limit](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=limit) limit _integer_ _<= 100_

The numbers of items to return.

Example:limit=10

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant) merchant _string_

Filter by the `Merchant` ID.

Example:merchant=MUeDVrf2ahuKc9Eg5TeZugvs

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_identity_name](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_identity_name) merchant\_identity\_name _string_

Filter Transactions by name of the `Identity`.

Example:merchant\_identity\_name=John

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_mid](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_mid) merchant\_mid _string_

Filter by Merchant Identification Number (MID).

Example:merchant\_mid=FNXrzKj8xCLBwB8FdxjfU9txe

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_processor_id](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=merchant_processor_id) merchant\_processor\_id _string_

Filter by `Processor` ID.

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=state](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=state) state _any_

Filter by transaction state.

Enum"SUCCEEDED""FAILED""PENDING""CANCELED"

Example:state=SUCCEEDED

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.key](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.key) tags.key _string_

Filter by the tag's key. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example:tags.key=card\_type

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.value](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=tags.value) tags.value _string_

Filter by the tag's value. For more information, see [Tags](https://docs.finix.com/api/section/tags).

Example:tags.value=business\_card

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=trace_id](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=trace_id) trace\_id _string_

Filter by `trace_id`.

Example:trace\_id=021fc4ed-f0a8-4932-820c-b22b542526f8

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.gte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.gte) updated\_at.gte _string_ _(date-time)_

Filter where `updated_at` is after the given date.

Example:updated\_at.gte=2022-09-27T11:21:23

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.lte](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=query&path=updated_at.lte) updated\_at.lte _string_ _(date-time)_

Filter where `updated_at` is before the given date.

Example:updated\_at.lte=2026-09-27T11:21:23

[link to /authorizations/listauthorizations#authorizations/listauthorizations/request/header](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/request/header) Headers

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=header&path=finix-version](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=request&in=header&path=finix-version) Finix-Version _string_

Default2022-02-01

Example:2022-02-01

get

/authorizations

- Sandbox server
https://finix.sandbox-payments-api.com/authorizations

curl

```
curl "https://finix.sandbox-payments-api.com/authorizations" \
    -H "Finix-Version: 2022-02-01" \
    -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda
```

#### [link to /authorizations/listauthorizations\#authorizations/listauthorizations/response&c=200](https://docs.finix.com/api/authorizations/listauthorizations\#authorizations/listauthorizations/response&c=200) Responses

1. 200
2. 401
3. 403
4. 406
5. 422

Expand all

List of Authorization objects

[link to /authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/headers](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/headers) Headers

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=date](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=x-request-id](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/body](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/response&c=200/body) Bodyapplication/json

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=page](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=page) page _object_

Details the page that's returned.

+Show 2 properties

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_embedded](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_embedded)\_embedded _object_

List of `Authroization` objects.

+Show property

[link to /authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_links](https://docs.finix.com/api/authorizations/listauthorizations#authorizations/listauthorizations/t=response&c=200&path=_links)\_links _object_

+Show 2 properties

Response

1. 200
2. 401
3. 403
4. 406
5. 422

application/json

```
{
  "_embedded": {
    "authorizations": [ … ]
  },
  "_links": {
    "self": { … },
    "next": { … },
    "last": { … }
  },
  "page": {
    "offset": 0,
    "limit": 20,
    "count": 633397
  }
}
```

#### Was this helpful?

## [link to Fetch an Authorization](https://docs.finix.com/api/authorizations/getauthorization) Fetch an Authorization

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations/getauthorization.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fgetauthorization.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fgetauthorization.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /authorizations/getauthorization\#authorizations/getauthorization/request](https://docs.finix.com/api/authorizations/getauthorization\#authorizations/getauthorization/request) Request

Retrieve the details of a previously created `Authorization`.

SecurityView security details

BasicAuth

[link to /authorizations/getauthorization#authorizations/getauthorization/request/path](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/request/path) Path

[link to /authorizations/getauthorization#authorizations/getauthorization/t=request&in=path&path=authorization_id](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=request&in=path&path=authorization_id) authorization\_id _string_ required

ID of `Authorization` to fetch.

Example:AUg8unYpnWBEY1AdVUDkdQYJ

get

/authorizations/{authorization\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/authorizations/{authorization\_id}

cURL

```
curl -i -X GET \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUg8unYpnWBEY1AdVUDkdQYJ
```

#### [link to /authorizations/getauthorization\#authorizations/getauthorization/response&c=200](https://docs.finix.com/api/authorizations/getauthorization\#authorizations/getauthorization/response&c=200) Responses

1. 200
2. 401
3. 403
4. 404
5. 406

Expand all

Response schema to a request to fetch a single `Authorization` object.

[link to /authorizations/getauthorization#authorizations/getauthorization/response&c=200/headers](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/response&c=200/headers) Headers

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=date](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example:"Tue, 08 Jul 2025 17:38:01 GMT"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example:"ROLE\_PARTNER"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=x-request-id](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example:"055972f6534f92a896fbb61b11313ebb"

[link to /authorizations/getauthorization#authorizations/getauthorization/response&c=200/body](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/response&c=200/body) Bodyapplication/json

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=id](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=id) id _string_

The ID of the `Authorization` resource.

Example:"AUxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_at](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=updated_at](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=3ds_redirect_url](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=3ds_redirect_url) 3ds\_redirect\_url _string or null_

The redirect URL used for 3DS transactions (if supported by the processor).

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_buyer_charges](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_buyer_charges) additional\_buyer\_charges _object or null_

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_healthcare_data](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_healthcare_data) additional\_healthcare\_data _object or null_

Object detailing any additional healthcare amounts included in the `Authorization`.

+Show 4 properties

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_purchase_data](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=additional_purchase_data) additional\_purchase\_data _object or null_

+Show 13 properties

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=address_verification](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=address_verification) address\_verification _string or null_

Details the results of the Address Verification checks.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount) amount _integer_ _(int64)_

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example:5000

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount_requested](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=amount_requested) amount\_requested _integer_

When `default_partial_authorization_enabled` is set to **true**, `amount_requested` indicates the amount the cardholder attempted to authorize.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=application](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=application) application _string_

The ID of the `Application` resource the `Authorization` was created under.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=card_present_details](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=card_present_details) card\_present\_details _object or null_

Details needed to process card present transactions.

+Show 8 properties

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=currency](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=currency) currency _string_

ISO 4217 3-letter currency code.

Enum"CAD""USD"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_via](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=created_via) created\_via _string_

Default"UNKNOWN"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=device](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=device) device _string or null_

The ID of the activated device.

Example:"DVxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=expires_at](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=expires_at) expires\_at _string_ _(date-time)_

`Authorization` expiration time.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_code](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_code) failure\_code _string or null_

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_message](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=failure_message) failure\_message _string or null_

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=identity](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=identity) identity _string_

Defaultnull

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=idempotency_id](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=idempotency_id) idempotency\_id _string or null_

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=ip_address_details](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=ip_address_details) ip\_address\_details _object_

This field returns `null` for all users except `ROLE_PLATFORM` users.

+Show property

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=is_void](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=is_void) is\_void _boolean_

Whether the `Authorization` has been voided.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant) merchant _string_

The ID of the `Merchant` resource the `Authorization` was created under.

Example:"MUxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant_identity](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=merchant_identity) merchant\_identity _string_

The ID of the `Identity` resource used by the `Merchant` the `Authorization` was processed under.

Example:"IDxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=messages](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=messages) messages _Array of strings or null_

Message field that provides additional details. This field is typically **null**.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=network_details](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=network_details) network\_details _object or null_

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=raw](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=raw) raw _(object or null) or (string or null)_

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

_object or null_

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=receipt_last_printed_at](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=receipt_last_printed_at) receipt\_last\_printed\_at _string or null_ _(date-time)_

Timestamp when the receipt was last printed.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=security_code_verification](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=security_code_verification) security\_code\_verification _string or null_

Details the results of the Security Code Verification che

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=source](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=source) source _string_

ID of the `Payment Instrument` where funds get debited.

Example:"PIxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=state](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=state) state _string_

The state of the `Authorization`.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=supplemental_fee](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=supplemental_fee) supplemental\_fee _integer or null_ _(int64)_

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=tags](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

+Show property

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=trace_id](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=trace_id) trace\_id _string_

Trace ID of the `Authorization`. The processor sends back the `trace_id` so you can track the authorization end-to-end.

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=transfer](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=transfer) transfer _string or null_

The ID of the `transfer` resource that gets created when the `Authorization` moves to **SUCCEEDED**.

Example:"TRxxxxxxxxxxxxxxxxxx"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=void_state](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=void_state) void\_state _string_

The state of the void attempt for the `Authorization`.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

[link to /authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=_links](https://docs.finix.com/api/authorizations/getauthorization#authorizations/getauthorization/t=response&c=200&path=_links)\_links _object_

+Show 5 properties

Response

1. 200
2. 401
3. 403
4. 404
5. 406

application/json

#### Was this helpful?

## [link to Capture an Authorization](https://docs.finix.com/api/authorizations/captureauthorization) Capture an Authorization

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations/captureauthorization.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fcaptureauthorization.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fcaptureauthorization.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /authorizations/captureauthorization\#authorizations/captureauthorization/request](https://docs.finix.com/api/authorizations/captureauthorization\#authorizations/captureauthorization/request) RequestExpand all

Use a PUT request to capture an `Authorization`. If captured successfully, the `transfer` field of the `Authorization` will contain the ID of the `Transfer` resource that moves funds.

SecurityView security details

BasicAuth

[link to /authorizations/captureauthorization#authorizations/captureauthorization/request/path](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/request/path) Path

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=path&path=authorization_id](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=path&path=authorization_id) authorization\_id _string_ required

ID of `Authorization` to fetch.

Example: AUg8unYpnWBEY1AdVUDkdQYJ

[link to /authorizations/captureauthorization#authorizations/captureauthorization/request/header](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/request/header) Headers

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=finix-version](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=finix-version) Finix-Version _string_

Default 2022-02-01

Example: 2022-02-01

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=content-type](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&in=header&path=content-type) Content-Type _string_

The data type being sent in the request body must be `application/json`.

Example: application/json

[link to /authorizations/captureauthorization#authorizations/captureauthorization/request/body](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/request/body) Bodyapplication/json

One of:

Capture AuthorizationCapture Card Present AuthorizationCapture Authorization with Split Transfers

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/capture_amount](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/capture_amount) capture\_amount _integer_ _(int64)_ required

The amount of the `Authorization` you would like to capture in cents. Must be less than or equal to the `amount` of the `Authorization`.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/fee](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/fee) fee _integer_ _(int64)_

The minimum amount of the `Authorization` you'd like to collect as your fee in cents. Defaults to zero (must be less than or equal to the `amount`).

- If the fees applied by the 'Fee Profile' are _**higher**_ than the value passed in 'fee', 'fee' will not be applied and have no effect.
- If the fees applied by the 'Fee Profile' are _**lower**_ than the value passed in 'fee', an additional fee is be applied, in addition to the fees generated by the `Fee Profile`.
- The additional fee is equal to the difference between the value passed in 'fee' and the fees generated by the `Fee Profile`.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/split_transfers](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=request&path=&oneof=0/split_transfers) split\_transfers _Array of objects or null or null_

An array used to detail how funds from the `Transfer` will split and the amount `Merchants` receive.

Rules:

- The combined `amounts` under `split_transfers` must be equal to the `amount` submitted in the parent `Transfer.`
- Merchants can be based in the United States or Canada.
- The amount type must be `FIXED`.

For more information, see:

- [Split Transactions](https://docs.finix.com/guides/online-payments/payment-features/split-transactions).

+Show 4 array properties

put

/authorizations/{authorization\_id}

- Sandbox server
https://finix.sandbox-payments-api.com/authorizations/{authorization\_id}

cURL

Capture Authorization

- Capture Authorization
- Capture Card Present Authorization
- Capture Authorization with Split Transfers

```
curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUg8unYpnWBEY1AdVUDkdQYJ \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "capture_amount": 100,
    "fee": 0
  }'
```

#### [link to /authorizations/captureauthorization\#authorizations/captureauthorization/response&c=200](https://docs.finix.com/api/authorizations/captureauthorization\#authorizations/captureauthorization/response&c=200) Responses

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406
7. 422

Expand all

Response schema to a request to capture an `Authorization` object.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/headers](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/headers) Headers

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=date](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=x-request-id](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/body](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/response&c=200/body) Bodyapplication/json

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=id](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=id) id _string_

The ID of the `Authorization` resource.

Example: "AUxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_at](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=updated_at](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=3ds_redirect_url](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=3ds_redirect_url) 3ds\_redirect\_url _string or null_

The redirect URL used for 3DS transactions (if supported by the processor).

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_buyer_charges](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_buyer_charges) additional\_buyer\_charges _object or null_

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_healthcare_data](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_healthcare_data) additional\_healthcare\_data _object or null_

Object detailing any additional healthcare amounts included in the `Authorization`.

+Show 4 properties

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_purchase_data](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=additional_purchase_data) additional\_purchase\_data _object or null_

+Show 13 properties

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=address_verification](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=address_verification) address\_verification _string or null_

Details the results of the Address Verification checks.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount) amount _integer_ _(int64)_

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example: 5000

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount_requested](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=amount_requested) amount\_requested _integer_

When `default_partial_authorization_enabled` is set to **true**, `amount_requested` indicates the amount the cardholder attempted to authorize.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=application](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=application) application _string_

The ID of the `Application` resource the `Authorization` was created under.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=card_present_details](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=card_present_details) card\_present\_details _object or null_

Details needed to process card present transactions.

+Show 8 properties

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=currency](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=currency) currency _string_

ISO 4217 3-letter currency code.

Enum"CAD""USD"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_via](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=created_via) created\_via _string_

Default "UNKNOWN"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=device](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=device) device _string or null_

The ID of the activated device.

Example: "DVxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=expires_at](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=expires_at) expires\_at _string_ _(date-time)_

`Authorization` expiration time.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_code](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_code) failure\_code _string or null_

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_message](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=failure_message) failure\_message _string or null_

A human-readable description of why the transaction was declined. This will also include a suggestion on how to complete the payment.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=identity](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=identity) identity _string_

Default null

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=idempotency_id](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=idempotency_id) idempotency\_id _string or null_

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=ip_address_details](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=ip_address_details) ip\_address\_details _object_

This field returns `null` for all users except `ROLE_PLATFORM` users.

+Show property

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=is_void](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=is_void) is\_void _boolean_

Whether the `Authorization` has been voided.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant) merchant _string_

The ID of the `Merchant` resource the `Authorization` was created under.

Example: "MUxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant_identity](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=merchant_identity) merchant\_identity _string_

The ID of the `Identity` resource used by the `Merchant` the `Authorization` was processed under.

Example: "IDxxxxxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=messages](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=messages) messages _Array of strings or null_

Message field that provides additional details. This field is typically **null**.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=network_details](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=network_details) network\_details _object or null_

Contains network-specific fields used by issuers to identify transactions.

+Show 2 properties

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=raw](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=raw) raw _(object or null) or (string or null)_

Raw response from the processor.

Any of:

RawRaw

Raw response from the processor.

_object or null_

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=receipt_last_printed_at](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=receipt_last_printed_at) receipt\_last\_printed\_at _string or null_ _(date-time)_

Timestamp when the receipt was last printed.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=security_code_verification](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=security_code_verification) security\_code\_verification _string or null_

Details the results of the Security Code Verification che

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=source](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=source) source _string_

ID of the `Payment Instrument` where funds get debited.

Example: "PIxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=state](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=state) state _string_

The state of the `Authorization`.

Enum"CANCELED""PENDING""FAILED""SUCCEEDED""UNKNOWN"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=supplemental_fee](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=supplemental_fee) supplemental\_fee _integer or null_ _(int64)_

Amount in cents for which an additional fee will be created in addition to any fees created from the assigned fee profile.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=tags](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=tags) tags _object or null_

Include up to 50 `key: value` pairs to annotate requests with custom metadata.

- Maximum character length for individual `keys` is 40.
- Maximum character length for individual `values` is 500. (For example, `order_number: 25`, `item_type: produce`, `department: sales`)

+Show property

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=trace_id](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=trace_id) trace\_id _string_

Trace ID of the `Authorization`. The processor sends back the `trace_id` so you can track the authorization end-to-end.

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=transfer](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=transfer) transfer _string or null_

The ID of the `transfer` resource that gets created when the `Authorization` moves to **SUCCEEDED**.

Example: "TRxxxxxxxxxxxxxxxxxx"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=void_state](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=void_state) void\_state _string_

The state of the void attempt for the `Authorization`.

Enum"UNATTEMPTED""PENDING""SUCCEEDED"

[link to /authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=_links](https://docs.finix.com/api/authorizations/captureauthorization#authorizations/captureauthorization/t=response&c=200&path=_links)\_links _object_

+Show 5 properties

Response

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406
7. 422

application/json

Capture Authorization

- Capture Authorization
- Capture Card Present Authorization
- Capture Authorization with Split Transfers

```
{
  "id": "AUcmwpCN6yKJ2HGot6X4YSv7",
  "created_at": "2025-04-30T20:31:12.63Z",
  "updated_at": "2025-07-22T16:28:00.67Z",
  "3ds_redirect_url": null,
  "additional_buyer_charges": null,
  "additional_healthcare_data": null,
  "additional_purchase_data": null,
  "address_verification": "POSTAL_CODE_AND_STREET_MATCH",
  "amount": 100,
  "amount_requested": 100,
  "application": "APc9vhYcPsRuTSpKD9KpMtPe",
  "currency": "USD",
  "expires_at": "2025-05-07T20:31:12.63Z",
  "failure_code": null,
  "failure_message": null,
  "idempotency_id": null,
  "is_void": false,
  "merchant": "MU7noQ1wdgdAeAfymw2rfBMq",
  "merchant_identity": "IDjvxGeXBLKH1V9YnWm1CS4n",
  "messages": [],
  "network_details": {
    "brand": "VISA",
    "authorization_code": 82533
  },
  "raw": null,
  "receipt_last_printed_at": null,
  "security_code_verification": "MATCHED",
  "source": "PIkxmtueemLD6dN9ZoWGHT44",
  "state": "SUCCEEDED",
  "supplemental_fee": null,
  "tags": {},
  "trace_id": "836faa82-15e4-4945-8923-94253464ddc4",
  "transfer": "TRfbdBWj2Ww6a2j7XfiqEoV4",
  "void_state": "UNATTEMPTED",
  "_links": {
    "self": { … },
    "application": { … },
    "transfer": { … },
    "merchant_identity": { … }
  }
}
```

#### Was this helpful?

## [link to Void an Authorization](https://docs.finix.com/api/authorizations/voidauthorization) Void an Authorization

Copy

- Copy for LLM

Copy page as Markdown for LLMs

- [View as Markdown\\
\\
Open this page as Markdown](https://docs.finix.com/api/authorizations/voidauthorization.md)
- [Open in ChatGPT\\
\\
Get insights from ChatGPT](https://chat.openai.com/?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fvoidauthorization.md+and+answer+questions+based+on+the+content.)
- [Open in Claude\\
\\
Get insights from Claude](https://claude.ai/new?q=Read+https%3A%2F%2Fdocs.finix.com%2Fapi%2Fauthorizations%2Fvoidauthorization.md+and+answer+questions+based+on+the+content.)
- Connect to Cursor

Install MCP server on Cursor

- Connect to VS Code

Install MCP server on VS Code

#### [link to /authorizations/voidauthorization\#authorizations/voidauthorization/request](https://docs.finix.com/api/authorizations/voidauthorization\#authorizations/voidauthorization/request) Request

Use a PUT request to void an `Authorization`. If voided successfully, funds get released, and the transaction is incomplete. Additionally, a voided `Authorization` can no longer be captured. Depending on the cardholder’s issuing bank, voids can take up to seven days to remove the `Authorization` hold.

SecurityView security details

BasicAuth

[link to /authorizations/voidauthorization#authorizations/voidauthorization/request/path](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/request/path) Path

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=path&path=authorization_id_void_to](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=path&path=authorization_id_void_to) authorization\_id\_void\_to _string_ required

Example: AUnubzehgQfqcvJpoxhqja7k

[link to /authorizations/voidauthorization#authorizations/voidauthorization/request/header](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/request/header) Headers

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=content-type](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=content-type) Content-Type _string_

The data type being sent in the request body must be `application/json`.

Example: application/json

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=finix-version](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=request&in=header&path=finix-version) Finix-Version _string_

Default 2022-02-01

Example: 2022-02-01

[link to /authorizations/voidauthorization#authorizations/voidauthorization/request/body](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/request/body) Bodyapplication/jsonrequired

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=request&path=void_me](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=request&path=void_me) void\_me _boolean_

Set to **True** to void the `Authorization`.

put

/authorizations/{authorization\_id\_void\_to}

- Sandbox server
https://finix.sandbox-payments-api.com/authorizations/{authorization\_id\_void\_to}

cURL

```
curl -i -X PUT \
  -u USfdccsr1Z5iVbXDyYt7hjZZ:313636f3-fac2-45a7-bff7-a334b93e7bda \
  https://finix.sandbox-payments-api.com/authorizations/AUnubzehgQfqcvJpoxhqja7k \
  -H 'Content-Type: application/json' \
  -H 'Finix-Version: 2022-02-01' \
  -d '{
    "void_me": true
  }'
```

#### [link to /authorizations/voidauthorization\#authorizations/voidauthorization/response&c=200](https://docs.finix.com/api/authorizations/voidauthorization\#authorizations/voidauthorization/response&c=200) Responses

1. 200
2. 400
3. 401
4. 403
5. 404
6. 406
7. 422

Expand all

Response schema to a request to void a single `Authorization` object.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/headers](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/headers) Headers

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=date](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=date) date _string_

A response header indicating the date and time of the API request.

Example: "Tue, 08 Jul 2025 17:38:01 GMT"

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=finix-apiuser-role](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=finix-apiuser-role) finix-apiuser-role _string_

This response header indicating the role of the user who sent the API request.

Enum"ROLE\_PLATFORM""ROLE\_PARTNER""ROLE\_MERCHANT"

Example: "ROLE\_PARTNER"

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=x-request-id](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=x-request-id) x-request-id _string_

This response header provides a unique identifier for the API request.

Example: "055972f6534f92a896fbb61b11313ebb"

[link to /authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/body](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/response&c=200/body) Bodyapplication/json

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=id](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=id) id _string_

The ID of the `Authorization` resource.

Example: "AUxxxxxxxxxxxxxxxxxx"

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=created_at](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=created_at) created\_at _string_ _(date-time)_

Timestamp of when the object was created.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=updated_at](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=updated_at) updated\_at _string_ _(date-time)_

Timestamp of when the object was last updated.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=3ds_redirect_url](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=3ds_redirect_url) 3ds\_redirect\_url _string or null_

The redirect URL used for 3DS transactions (if supported by the processor).

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_buyer_charges](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_buyer_charges) additional\_buyer\_charges _object or null_

Additional charges will be incurred by the buyer.

The following rules apply:

+Show 3 properties

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_healthcare_data](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_healthcare_data) additional\_healthcare\_data _object or null_

Object detailing any additional healthcare amounts included in the `Authorization`.

+Show 4 properties

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_purchase_data](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=additional_purchase_data) additional\_purchase\_data _object or null_

+Show 13 properties

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=address_verification](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=address_verification) address\_verification _string or null_

Details the results of the Address Verification checks.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount) amount _integer_ _(int64)_

The total amount that will be debited in cents (e.g. 100 cents to debit $1.00).

Example: 5000

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount_requested](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=amount_requested) amount\_requested _integer_

When `default_partial_authorization_enabled` is set to **true**, `amount_requested` indicates the amount the cardholder attempted to authorize.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=application](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=application) application _string_

The ID of the `Application` resource the `Authorization` was created under.

[link to /authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=card_present_details](https://docs.finix.com/api/authorizations/voidauthorization#authorizations/voidauthorization/t=response&c=200&path=card_present_details) card\_present\_details _object or null_

Details needed to process card present transactions.

+Show 8 properties

[...]
